Update a scheduled bulk send out - campaign

Update an already scheduled campaign. You can change the recipients or the sender id or any other parameter you set previously. Note that the campaign must have status "Scheduled" in order to update it.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📘

Request/Response Parameters Description

See /sms/campaign for explanation of the request/response parameters

🚧

Caution

If you don't include the "scheduledDate" parameter in your request then your campaign will be sent immediately.

ERROR CODES

STATUSCODEDESCRIPTIONS
404404009001The campaign with the given tracking id doesn't exist.
400400009002The campaign status is not Scheduled.
400400001009You don't have enough balance to send the campaign.
400400005000In case you haven't specified any recipients or the sender is invalid.
409409009003Your account already has a campaign with the given name.
400400009004Your campaign has no recipients. Your groups might be empty or all contacts might be blacklisted.
404404002001A contact id does not exist.
Path Params
string
required

the campaign’s tracking id.

Body Params
contacts
array of strings

The contact ids that the message will be sent to. Contacts have to be uploaded to the system. One of "groups", "to", "contacts" parameters is required.

contacts
groups
array of strings

The groups of contacts in the account selected as recipients. Groups have to be created at the system. One of "groups", "to", "contacts" parameters is required.

groups
to
array of strings

The phone numbers (array) the message is about to be sent to. Format with a '+' and country code e.g., +306948530920 (E.164 format). Maximum array of number allowed 30k. One of "groups", "to", "contacts" parameters is required.

to
string
required

The sender of the message. This can be a telephone number (numeric string with maximum length 16 characters) or an alphanumeric string (maximum length 11 characters). When you want to use a number, you have to enter it without the '+' before the country code (eg 447123123456).

string
required

The message you want to send. Use "\n" to create a new line in your message. Use [~{labelName}] in order to send personalized messages, by using the labels of your contacts.

date

Defines the scheduled date and time in UTC. (eg YYYY-MM-DDThh:mm:ssTZD where TZD is the time zone designator (Z or +hh:mm or -hh:mm))

string

The name of the campaign. If you want to be able to track the whole campaign from Routee web platform use a name, if no name is provided you won’t be able to see the campaign from Routee web platform but you can track all the individual messages. Must be between 2 and 30 characters and contain only latin letters, numbers, spaces and -

boolean
Defaults to false

Indicates if the SMS is a flash SMS. A flash SMS is a type of SMS that appears directly on the main screen without user interaction and is not automatically stored in the inbox. It can be useful in emergencies, such as a fire alarm or cases of confidentiality, as in delivering one-time passwords. Default value false

boolean
Defaults to false

Indicates if the SMS should respect the quiet hours. Quiet Hours are set by default to 23.00 - 08.00 and 14.00-17.00 destination local time. Please note that not all countries are supported with this feature due to multiple time zones within the country. Default value false

campaignCallback
object

Defines the notification callback information for the progress of the SMS campaign. Check here for the payload information

callback
object

Defines the notification callback information for an individual message progress of the SMS campaign. Check here for the payload information

reminder
object

Defines the recipients that will receive a test SMS before the actual SMS campaign is sent.

fallbackValues
array of strings

Defines the default values when the SMS has labels, in case a contact does not contain any of these labels.

fallbackValues
boolean

If “transcode” is set to true/false, then the message body will be/not be transcoded. If the “transcode” parameter is not set, then the application level setting will be used. In case the message can be sent as UTF in one part, it will not be transcoded.

Headers
string
required
Defaults to application/json

application/json

string
required
Defaults to Bearer {access_token}

Bearer {access_token}

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json